List webhook endpoints
curl --request GET \
--url https://api.truthlocks.com/v1/webhooks/endpoints \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/webhooks/endpoints"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/webhooks/endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"status": "<string>",
"event_filters": [
"<string>"
],
"created_at": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Webhooks
List webhook endpoints
Returns all configured webhook endpoints for the authenticated tenant.
GET
/
v1
/
webhooks
/
endpoints
List webhook endpoints
curl --request GET \
--url https://api.truthlocks.com/v1/webhooks/endpoints \
--header 'X-API-Key: <api-key>'const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.truthlocks.com/v1/webhooks/endpoints', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/webhooks/endpoints"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/webhooks/endpoints"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"items": [
{
"id": "<string>",
"name": "<string>",
"url": "<string>",
"status": "<string>",
"event_filters": [
"<string>"
],
"created_at": "<string>"
}
]
}{
"code": "AUTH_REQUIRED",
"message": "Authentication required",
"http_status": 401
}Returns all webhook endpoints for the authenticated tenant, sorted by creation time (newest first). The endpoint
secret is not included in list responses — it is only returned once when the endpoint is created.
Response fields
| Field | Type | Description |
|---|---|---|
id | uuid | Unique identifier for the endpoint |
name | string | Human-readable name you assigned when creating the endpoint |
url | string | The HTTPS URL that receives webhook deliveries |
status | string | Current endpoint status: active or disabled |
event_filters | string[] | Event types or wildcard patterns the endpoint subscribes to |
created_at | string | ISO 8601 timestamp when the endpoint was created |
updated_at | string | ISO 8601 timestamp of the last modification |

